API ReferenceRealtime
List Realtime profiles
GET
/v1/realtime/profilesAuthorization
BearerAuth AuthorizationBearer <token>
Tenant key supplied as the Authorization Bearer token.
In: header
Query Parameters
page_size?integer
Range
1 <= value <= 100search?string
sort_direction?string
Value in
- "asc"
- "desc"
cursor?string
Response Body
application/json
application/json
application/json
const response = await fetch("https://api.allmodels.io/v1/realtime/profiles?page_size=20", { headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import osimport requestsresponse = requests.get( "https://api.allmodels.io/v1/realtime/profiles?page_size=20", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, timeout=30,)response.raise_for_status()print(response.json())curl https://api.allmodels.io/v1/realtime/profiles?page_size=20 \ -H "Authorization: Bearer $ALLMODELS_API_KEY"{ "object": "list", "data": [ { "id": "string", "object": "realtime.profile", "type": "pipeline", "name": "string", "pipeline": { "property1": null, "property2": null }, "revision": 0, "property1": null, "property2": null } ], "has_more": true, "next_cursor": "string"}{ "error": "missing_api_key"}{ "error": { "type": "string", "code": "string", "message": "string", "property1": null, "property2": null }}